drop table vbap;
CREATE TABLE vbap (
vbeln text,
posnr text,
matnr text,
mandt text,
matkl text,
spart text,
kwmeng numeric(15,3),
netwr numeric(15,2),
mwsbp numeric(13,2),
waerk text,
vrkme text,
abgru text,
uebto numeric(3,1),
untto numeric(3,1),
werks text,
vstel text,
mvgr1 text,
plavo text,
mvgr4 text,
mvgr5 text,
ulxh text,
zma_ftb_02 text, 
zma_ftb_03 text, 
zma_ftb_45 text, 
zma_ftb_06 text, 
zma_ftb_07 text, 
zma_ftb_08 text, 
zma_jyb_02 text, 
zma_jyb_03 text, 
zma_jyb_45 text, 
zma_jyb_06 text, 
zma_jyb_07 text, 
zma_ljb_03 text, 
zma_ljb_04 text, 
zma_ljb_06 text, 
zma_ljb_07 text, 
zma_ljb_08 text, 
zma_ljb_11 text, 
zma_ljb_12 text, 
zma_ljb_13 text, 
zma_yhbg_02 text, 
zma_yhbg_04 text, 
zma_yhbg_05 text, 
zma_yhbg_06 text, 
tbpz     text,
ws     text,
cu_maktx    text,
cu_pcdst    text,
ztype     text,
barcode     text,
gdno     text,
lh     text,
dgxx     text,
zklx     text,
erdat text,
erzet text,
erdat1 date,
erdat2 timestamp,
netpr numeric(11,2),
PRIMARY KEY (vbeln, posnr, mandt, erdat1)
) 
Distributed by (vbeln, posnr, mandt, erdat1)
partition by range(erdat1)
(start (date '2015-01-01') inclusive
end (date '2030-01-01') exclusive
every (interval '1 month')
);

alter table vbap add column hashResult text;
alter table vbap add column rowNum serial;

alter table vbap add column aedat text;
alter table vbap add column pernr text;
